﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common.Unit.EntityValidation
{

    public class StrongPassWordAttribute : RegExValidationAttribute
    {
        public StrongPassWordAttribute()
        {
            RegEx = @"^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,10}$";//强秘密
            ErrorMessage = "请输入正确的密码格式";
        }
    }
}
