﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common.Unit.EntityValidation
{
    public class UrlAttribute : RegExValidationAttribute
    {
        public UrlAttribute()
        {
            RegEx = @"^((ht|f)tps?):\/\/([\w\-]+(\.[\w\-]+)*\/)*[\w\-]+(\.[\w\-]+)*\/?(\?([\w\-\.,@?^=%&:\/~\+#]*)+)?$";  //
            ErrorMessage = "请输入正确的Url地址";  
        }
    }
}
