﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.GeneDetectionResultModel
{
    /// <summary>
    /// 检测结果查询实体类
    /// </summary>
    public class GeneDetectionResultRequestModel:QueryPage
    {
        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }
    public class DetectionResultSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneDetectionResultOID { get; set; }
        /// <summary>
        /// 药效方案
        /// </summary>
        public string EfficacyProgram { get; set; }

        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }
        /// <summary>
        /// 检测位点
        /// </summary>

        public string DetectionSite { get; set; }
        /// <summary>
        /// PMID
        /// </summary>
        public string PMID { get; set; }
        /// <summary>
        /// 靶药
        /// </summary>
        public string TargetedMedicine { get; set; }
        /// <summary>
        /// 突变位点
        /// </summary>
        public string MutationSites { get; set; }
    }

    public class DetectionResultQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid GeneDetectionResultOID { get; set; }
        /// <summary>
        /// 药效方案
        /// </summary>
        public string EfficacyProgram { get; set; }

        /// <summary>
        /// 基因名称
        /// </summary>
        public string GeneName { get; set; }
        /// <summary>
        /// 检测位点
        /// </summary>

        public string DetectionSite { get; set; }
        /// <summary>
        /// PMID
        /// </summary>
        public string PMID { get; set; }
        /// <summary>
        /// 靶药
        /// </summary>
        public string TargetedMedicine { get; set; }
        /// <summary>
        /// 突变位点
        /// </summary>
        public string MutationSites { get; set; }



        public string ClassCode { get; set; }
    }
}
