﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.PMIDModel
{
    public class PMIDRequestModel:QueryPage
    {
        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }

    public class PMIDSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid PMIDOID { get; set; }
        /// <summary>
        /// PMID编号
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// PMID名称
        /// </summary>
        public string Gene { get; set; }
        /// <summary>
        /// 靶药
        /// </summary>
        public string TargetedMedicine { get; set; }
    }

    public class PMIDQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid PMIDOID { get; set; }
        /// <summary>
        /// PMID编号
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// PMID名称
        /// </summary>
        public string Gene { get; set; }
        /// <summary>
        /// 靶药
        /// </summary>
        public string TargetedMedicine { get; set; }

        public string ClassCode { get; set; }
    }
}
