﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Common.Unit.NetJson;
using Newtonsoft.Json;

namespace G.Buss.Client.ViewModel
{
    public class ClientPubList
    {
        /// <summary>数据主键</summary>
        public Guid? OID { get; set; }
        /// <summary>版本号</summary>
        public string Version { get; set; }
        /// <summary>是否当前版本</summary>
        public bool? IsCurrent { get; set; }
        /// <summary>发布说明</summary>
        public string PubDes { get; set; }
        /// <summary>文件地址</summary>
        public string FileAddr { get; set; }
        /// <summary>文件地址</summary>
        [JsonConverter(typeof(LongDateFormat))]
        public DateTime? PubDate { get; set; }
        /// <summary>维护人</summary>
        public string WHR { get; set; }
    }
}
