﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using G.MES.ViewModel;

namespace G.Buss.System.ViewModel
{
   public class RespModel
    {
    }
    public class RespPostInfo : QueryPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid Sys_POSTN_RESP_MAPOID { get; set; }


        /// <summary>
        /// 岗位编码
        /// </summary>
        public string postID { get; set; }


        /// <summary>
        /// 岗位名称
        /// </summary>
        public string postName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string divisionName { get; set; }


        /// <summary>
        /// 机构名称
        /// </summary>
        public string orgName { get; set; }


        [Required(ErrorMessage = "职责外键不能为空")]
        public Guid Sys_RESPONSIBILITY_FK { get; set; }
    }

    //菜单责任下的树
    public class RespMenuTreeInfo
    {

        /// <summary>
        /// 主键
        /// </summary>
        public Guid Sys_BusiPortalMenuOID { get; set; }

        /// <summary>
        /// 父OID
        /// </summary>
        public Guid ParentOID { get; set; }


        /// <summary>
        /// 是否已经设置责任
        /// </summary>
        public bool IsSelected { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 层级
        /// </summary>
        public int leves { get; set; }

        public List<RespMenuTreeInfo> children { get; set; }
    }

    ////职责列表查询实体
    //public class RespListQueryInfo
    //{
    //    /// <summary>
    //    /// 职责编码
    //    /// </summary>
    //    public string RESP_NO { get; set; }

    //    /// <summary>
    //    /// 职责名称
    //    /// </summary>

    //    public string RESP_NAME { get; set; }


    //    /// <summary>
    //    /// /是否系统责任
    //    /// </summary>
    //    public bool? IsSYS { get; set; }

    //    /// <summary>
    //    /// 职责描述
    //    /// </summary>
    //    public string RESP_DESC_TEXT { get; set; }

    //    /// <summary>
    //    /// 是否禁用
    //    /// </summary>
    //    public bool? IsDisable { get; set; }
    //}

    //职责列表查询实体
    public class QueryRespList : QueryPage
    {
        /// <summary>
        /// 职责编码
        /// </summary>
        public string RESP_NO { get; set; }
        /// <summary>
        /// 职责描述
        /// </summary>
        public string RESP_DESC_TEXT { get; set; }
        /// <summary>
        /// 是否系统职责
        /// </summary>
        public bool? IsSYS { get; set; }
        /// <summary>
        /// 职责名称
        /// </summary>
        public string RESP_NAME { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        public bool? IsDisable { get; set; }
    }

 

}
