﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common.Unit.EntityValidation
{
    public class EmailAttribute : RegExValidationAttribute
    {
        public EmailAttribute()
        {
            RegEx = @"^[A-Za-z0-9\u4e00-\u9fa5]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$";  //手机号
            ErrorMessage = "请输入正确的电子邮箱地址";
        }
    }
}
