﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common.Unit.EntityValidation
{
    public class MoneyAttribute : RegExValidationAttribute
    {
        public MoneyAttribute()
        {
            RegEx = @"^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$";  //
            ErrorMessage = "请输入正确的金额";
        }
    }
}
