﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web;
using System.Web.Mvc;

namespace G.MES.API.Models
{
    /// <summary>返回的结果 </summary>
    public class ApiResult
    {
        /// <summary>执行状态</summary>
        public string Status { get; set; }
        /// <summary>Http状态信息</summary>
        public HttpStatusCode StatusCode { get; set; }
        /// <summary>业务信息代码</summary>
        public int MsgCode { get; set; }
        /// <summary>业务信息</summary>
        public string Msg { get; set; }
        /// <summary>业务数据</summary>
        public object Data { get; set; }

    }
}