﻿using G.MES.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace G.Buss.BaseInfo.ViewModel.TMBGradeRequestModel
{
    public class TMBGradeRequestModel:QueryPage
    {
        /// <summary>
        /// 查询条件
        /// </summary>
        public string QueryCondition { get; set; }
    }
    public class TMBGradeSaveRequestModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid TMBGradeOID { get; set; }
        /// <summary>
        /// 基因名称
        /// </summary>
        public string Grade { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public string Scope { get; set; }
        /// <summary>
        /// 类型
        /// </summary>

        public string Remark { get; set; }

    }

    public class TMBTable
    {
        /// <summary>
        /// 范围
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public string Scope { get; set; }
        /// <summary>
        /// 说明
        /// </summary>
        public string Remark { get; set; }
    }

    public class TMBGradeQueryModel
    {
        /// <summary>
        /// 主键
        /// </summary>
        public Guid TMBGradeOID { get; set; }
        /// <summary>
        /// 基因名称
        /// </summary>
        public string Grade { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public string Scope { get; set; }
        /// <summary>
        /// 类型
        /// </summary>

        public string Remark { get; set; }




        public string ClassCode { get; set; }
    }
}
